var fontbird = {};
(function ($) {
    fontbird = {
        assignFont: function (fontId) {

        },

        selectFont: function (fontId, fontName) {
            $('#font_id').val(fontId);
            $('#sample-text').css({
                'font-family': fontName
            })
            $('#font-container>li').removeClass('active');
            $('#font_element_' + fontId).addClass('active');
            
        },

        init: function () {
            $('#change-font').click(function () {
                $('#font-list').css({
                    'top' : '10px' ,
                    'left' : '0'
                })
                return false;
            })

            $('.predefined-selector > a').click(function () {
                $('#selector')
                    .val($(this).attr('title'))
                    .css({'border' : '1px solid red'})
                    .fadeOut('slow')
                    .fadeIn('slow')
                    .css({'border' : '1px solid #999'})
                    ;
                return false;
            })

        }

    }

    $(document).ready(function () {
        fontbird.init();
    })

})(jQuery)